VERSION 4.00
Begin VB.Form Indication 
   Appearance      =   0  'Flat
   BackColor       =   &H00FFFF80&
   Caption         =   "Indication"
   ClientHeight    =   5565
   ClientLeft      =   900
   ClientTop       =   1335
   ClientWidth     =   7365
   BeginProperty Font 
      name            =   "MS Sans Serif"
      charset         =   1
      weight          =   700
      size            =   8.25
      underline       =   0   'False
      italic          =   0   'False
      strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Height          =   5970
   Left            =   840
   LinkTopic       =   "Form1"
   ScaleHeight     =   371
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   491
   Top             =   990
   Width           =   7485
   Begin VB.TextBox Txt_DrawMode 
      Appearance      =   0  'Flat
      Height          =   285
      Left            =   120
      TabIndex        =   6
      Text            =   "9"
      Top             =   2400
      Width           =   1575
   End
   Begin VB.PictureBox Pic_Indication 
      Appearance      =   0  'Flat
      BackColor       =   &H00FF0000&
      BorderStyle     =   0  'None
      BeginProperty Font 
         name            =   "MS Serif"
         charset         =   0
         weight          =   700
         size            =   18
         underline       =   0   'False
         italic          =   0   'False
         strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H80000008&
      Height          =   5280
      Left            =   2520
      ScaleHeight     =   352
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   288
      TabIndex        =   0
      Top             =   120
      Width           =   4320
   End
   Begin VB.CheckBox Chk_AutoScroll 
      Appearance      =   0  'Flat
      BackColor       =   &H00FFFF80&
      Caption         =   "AutoScroll"
      ForeColor       =   &H80000008&
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   1920
      Width           =   1575
   End
   Begin VB.CommandButton But_Stop 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "Stop"
      Height          =   495
      Left            =   120
      TabIndex        =   4
      Top             =   1320
      Width           =   1575
   End
   Begin VB.CommandButton But_Start 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "Start"
      Height          =   495
      Left            =   120
      TabIndex        =   3
      Top             =   720
      Width           =   1575
   End
   Begin VB.TextBox Txt_Time 
      Appearance      =   0  'Flat
      Height          =   285
      Left            =   120
      TabIndex        =   2
      Top             =   360
      Width           =   1575
   End
   Begin VB.VScrollBar VSc_Line 
      Height          =   5415
      LargeChange     =   6
      Left            =   6840
      TabIndex        =   1
      Top             =   120
      Value           =   1
      Width           =   255
   End
End
Attribute VB_Name = "Indication"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit


Dim y1 As Single, y2 As Single
Dim Start As Integer

Private Sub But_Start_Click()
   Dim tm$
   Dim ps As Integer
   g_offset = Timer
   tm$ = Txt_Time.Text
   ps = InStr(tm$, ":")
   CurTime = Val(Left$(tm$, ps - 1)) * 60 + Val(Right$(tm$, 2))
   g_offset = g_offset - CurTime
   Txt_Time.Enabled = False
   Start = True
   Do While Txt_Time.Enabled = False
      DoEvents
      CurTime = Timer - g_offset
      DisplayTime
   Loop
End Sub

Private Sub But_Stop_Click()
   Txt_Time.Enabled = True
   Start = False
End Sub

Private Sub DisplayTime()
   Dim min As Integer
   Dim sec As Integer
   Dim timing$
   timing$ = Int(CurTime / 60) & ":" & Format$(Int(CurTime) Mod 60, "00")
   Txt_Time.Text = timing$
End Sub

Private Sub Form_Activate()
   VSc_Line_Change
End Sub

Private Sub Form_Load()
   Init_Indication
   CurTime = 0
   DisplayTime
   Start = False
End Sub

Private Sub Pic_Indication_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
   If Start = True Then
      Startline = Int(Y / 32) + VSc_Line.Value
      Pic_Indication.DrawMode = Val(Txt_DrawMode)
      Pic_Indication.ForeColor = RGB(0, 0, 255)
      Pic_Indication.FillColor = RGB(0, 0, 255)
      Cnt_ColorLine = 1
      ColorX(1) = X
      y1 = (Startline - VSc_Line.Value) * 32 + 1
      y2 = y1 + 31
      Pic_Indication.Line (X, y1)-(X, y2)
   End If
End Sub

Private Sub Pic_Indication_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
   If Button = 1 And Start = True Then
      ColorLineTime(Cnt_ColorLine) = Timer
      Cnt_ColorLine = Cnt_ColorLine + 1
      ColorX(Cnt_ColorLine) = -X
      Pic_Indication.Line (Abs(ColorX(Cnt_ColorLine - 1)) + 1, y1)-(X, y2), , BF
   End If
End Sub

Private Sub Pic_Indication_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
   'MsgBox "MouseUp"
   If Start = True Then
      Write_Coloring
   End If
End Sub

Private Sub VSc_Line_Change()
   Pic_Indication.Cls
   Build_Indication_Screen (VSc_Line.Value)
End Sub

