Attribute VB_Name = "KWCGGLOB"
Option Explicit

Global ColorX(300)
Global ColorLineTime(300)

Global Cnt_ColorLine As Integer

Global Startline As Integer
Global Offset As Double

Dim Textline(200) As String
Dim Cnt_Lines As Integer

Dim Alignment(200) As String

Dim Coloring(200, 300) As Integer
Dim Cnt_Coloring(200) As Integer
Dim ColorTime(200, 300) As Double

Dim i As Integer

Global Filename As String

Dim g_dialog_ok As Integer

Global Const c_dialog_ok = 0
Global Const c_dialog_usererror = 1
Global Const c_dialog_fileerror = 2
Global Const c_dialog_userbreak = 3

Global CurTime As Double
Global g_offset As Double


Sub Build_Indication_Screen(lineno As Integer)
   Dim i As Integer
   Dim j As Integer
   Dim X As Integer
   Dim Y As Integer

'Find beginning of the screen


'Display each line in the screen

   Y = 2
   For lineno = lineno To lineno + 10
      Select Case Alignment(lineno)
         Case "L"
            X = 2
         Case "R"
            X = 286 - Indication.Pic_Indication.TextWidth(Textline$(lineno))
         Case "C"
            X = 144 - Indication.Pic_Indication.TextWidth(Textline$(lineno)) / 2
      End Select
      If Cnt_Coloring(lineno) = 0 Then
         Indication.Pic_Indication.ForeColor = RGB(128, 0, 128)
      Else
         Indication.Pic_Indication.ForeColor = RGB(0, 0, 0)
      End If
      
      For i = X - 2 To X + 2
         For j = Y - 2 To Y + 2
            Indication.Pic_Indication.CurrentX = i
            Indication.Pic_Indication.CurrentY = j
            Indication.Pic_Indication.Print Textline$(lineno)
         Next j
      Next i

      Indication.Pic_Indication.CurrentX = X
      Indication.Pic_Indication.CurrentY = Y
      Indication.Pic_Indication.ForeColor = RGB(255, 255, 255)
      Indication.Pic_Indication.Print Textline$(lineno)
      Y = Y + 32
   Next lineno
End Sub

Sub Change_Alignment(lineno)
   Select Case Alignment(lineno)
      Case "L"
         Alignment(lineno) = "C"
      Case "C"
         Alignment(lineno) = "R"
      Case "R"
         Alignment(lineno) = "L"
   End Select
   Aligning.Grd_Aligning.Row = lineno
   Aligning.Grd_Aligning.Col = 1
      
   Select Case Alignment$(lineno)
      Case "B"
         Aligning.Grd_Aligning.Text = "Break"
      Case "L"
         Aligning.Grd_Aligning.Text = "Left"
      Case "R"
         Aligning.Grd_Aligning.Text = "Right"
      Case "C"
         Aligning.Grd_Aligning.Text = "Center"
   End Select
End Sub

Sub Dialog_Save()

'This brings up the dialog box for entering a filename.

   Mainform.Dialog.Action = 2

   Filename = Mainform.Dialog.Filename


End Sub

Sub Display_Screen_Grid(lineno As Integer)
   Dim i As Integer
   Dim j As Integer
   Dim X As Integer
   Dim Y As Integer

'Find beginning of the screen

   If lineno = -1 Then lineno = 0
   Aligning.Pic_Screen.Cls
   Do While Textline$(lineno) <> ""
      lineno = lineno + 1
   Loop

   lineno = lineno - 1

'Display each line in the screen

   Y = 160
   Do While Textline$(lineno) <> ""
      Select Case Alignment(lineno)
         Case "L"
            X = 2
         Case "R"
            X = 286 - Aligning.Pic_Screen.TextWidth(Textline$(lineno))
         Case "C"
            X = 144 - Aligning.Pic_Screen.TextWidth(Textline$(lineno)) / 2
      End Select
      For i = X - 2 To X + 2
         For j = Y - 2 To Y + 2
            Aligning.Pic_Screen.CurrentX = i
            Aligning.Pic_Screen.CurrentY = j
            Aligning.Pic_Screen.ForeColor = RGB(0, 0, 0)
            Aligning.Pic_Screen.Print Textline$(lineno)
         Next j
      Next i

      Aligning.Pic_Screen.CurrentX = X
      Aligning.Pic_Screen.CurrentY = Y
      Aligning.Pic_Screen.ForeColor = RGB(255, 255, 255)
      Aligning.Pic_Screen.Print Textline$(lineno)
      lineno = lineno - 1
      Y = Y - 32
   Loop
End Sub

Sub Fetch_Alignment()
   Dim cr$
   Dim Temp$
   Dim i As Integer
   g_dialog_ok = c_dialog_ok
   
   cr$ = Chr$(13) & Chr$(10)

   Aligning.Grd_Aligning.Cols = 2
   Aligning.Grd_Aligning.Rows = Cnt_Lines + 1
   Aligning.Grd_Aligning.FixedRows = 1
   Aligning.Grd_Aligning.FixedCols = 0

   Aligning.Grd_Aligning.Row = 0
   Aligning.Grd_Aligning.Col = 0
   Aligning.Grd_Aligning.Text = "Line"
   Aligning.Grd_Aligning.ColWidth(0) = 2200

   Aligning.Grd_Aligning.Col = 1
   Aligning.Grd_Aligning.Text = "Align"
   Aligning.Grd_Aligning.ColWidth(1) = 700
   
   Temp$ = ""
   
   For i = 1 To Cnt_Lines
      Aligning.Grd_Aligning.Row = i
      Aligning.Grd_Aligning.Col = 0

      Aligning.Grd_Aligning.Text = Textline$(i)

      Aligning.Grd_Aligning.Col = 1
      
      If Alignment(i) = "" Then
         If Textline(i) = "" Then
            Alignment(i) = "B"
         Else
            If Textline(i + 1) = "" Then
               Alignment(i) = "R"
            Else
               Alignment(i) = "L"
            End If
         End If
      End If

      Select Case Alignment(i)
         Case "B"
            Aligning.Grd_Aligning.Text = "Break"
         Case "L"
            Aligning.Grd_Aligning.Text = "Left"
         Case "R"
            Aligning.Grd_Aligning.Text = "Right"
         Case "C"
            Aligning.Grd_Aligning.Text = "Center"
      End Select
            
   Next i

   Aligning.Grd_Aligning.Row = 1
End Sub

Sub Fetch_Text()
   Dim cr$
   Dim Temp$
   Dim ps
   g_dialog_ok = c_dialog_ok
   
   cr$ = Chr$(13) & Chr$(10)

   Temp$ = ""
   For i = 1 To Cnt_Lines
      Temp$ = Temp$ & Textline$(i)
      If i < Cnt_Lines Then
         Temp$ = Temp$ & cr$
      End If
   Next i
   Rawtext.Txt_Raw.Text = Temp$
End Sub

Sub Handle_Dialog_open()
   On Error GoTo HDO_Error

   Mainform.Dialog.Action = 1

   Filename = Mainform.Dialog.Filename
HDO_Error:
   Exit Sub
End Sub

Sub Init_Indication()
   Indication.VSc_Line.min = 1
   Indication.VSc_Line.Max = Cnt_Lines - 10
   Indication.VSc_Line.Value = 1
   'MsgBox Indication.VSc_Line.Max
End Sub

Sub Open_File()

'This calls the Common Dialog Box for choosing the
' file the user wants to open.

   Handle_Dialog_open

   Read_File
End Sub

Sub Read_File()
   Dim file$
   Open Filename For Input As #1

   Input #1, file$

   If file$ <> "<TEXT>" Then
      MsgBox "Error! This is no CD+G Karaoke Master file!"
   End If
   
   Line Input #1, file$
   Cnt_Lines = Val(file$)
   For i = 1 To Cnt_Lines
      Line Input #1, Textline$(i)
   Next i
   If Not EOF(1) Then
      Input #1, file$
      If file$ = "<ALIGNMENT>" Then
         For i = 1 To Cnt_Lines
            Line Input #1, Alignment(i)
         Next i
      End If
   End If
   Close #1

End Sub

Sub Save_File()
   If Cnt_Lines = 0 Then
      MsgBox "There are no text lines!"
      Exit Sub
   End If
   Open Filename For Output As #1
   Print #1, "<TEXT>"
   Print #1, Cnt_Lines & " lines:"
   For i = 1 To Cnt_Lines
      Print #1, Textline$(i)
   Next i
   If Alignment(1) <> "" Then
      Print #1, "<ALIGNMENT>"
      For i = 1 To Cnt_Lines
         Print #1, Alignment(i)
      Next i
   End If
   Close #1
End Sub

Sub Save_Text()
   Dim cr$
   Dim Temp$
   Dim ps
   g_dialog_ok = c_dialog_ok
   
   cr$ = Chr$(13) & Chr$(10)

   Cnt_Lines = 0
   Temp$ = Rawtext.Txt_Raw.Text

   Do While Temp$ <> ""
     ps = InStr(Temp$, cr$)
     If ps > 0 Then
        Cnt_Lines = Cnt_Lines + 1
        Textline$(Cnt_Lines) = Left$(Temp$, ps - 1)
        Temp$ = Mid$(Temp$, ps + 2)
     Else
        Cnt_Lines = Cnt_Lines + 1
        Textline$(Cnt_Lines) = Temp$
        Temp$ = ""
     End If
   Loop
End Sub

Sub Write_Coloring()
   Dim i As Integer

   'MsgBox Startline & ""
   Cnt_Coloring(Startline) = 1
   Coloring(Startline, 1) = ColorX(1)
   ColorTime(Startline, 1) = ColorLineTime(1)
   For i = 1 To Cnt_ColorLine
      Coloring(Startline, i) = ColorX(i)
      ColorTime(Startline, i) = ColorLineTime(i) - Offset
   Next i
   Cnt_Coloring(Startline) = Cnt_ColorLine
End Sub

